This is an automated email from the git hooks/post-receive script.

js pushed a commit to branch master
in repository libplack-middleware-expires-perl.

commit 6c995c90dfca7b533c2280cf2d8b0860cad5738d
Author: Jonas Smedegaard <d...@jones.dk>
Date:   Sun May 18 15:17:38 2014 +0200

    Prepare for release: Update changelog, control file and copyright info.
---
 debian/changelog       | 27 ++++++++++++++++++++-------
 debian/control         |  5 +++--
 debian/copyright_hints | 39 ++++++++++++++-------------------------
 3 files changed, 37 insertions(+), 34 deletions(-)

diff --git a/debian/changelog b/debian/changelog
index 37459f8..b6a6860 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,4 +1,10 @@
-libplack-middleware-expires-perl (0.03-2) UNRELEASED; urgency=low
+libplack-middleware-expires-perl (0.05-1) unstable; urgency=low
+
+  [ upstream ]
+  * New release.
+    + Require 'HTTP::Date' and 'HTTP::Status'. Stop requiring LWP.
+    + Migrate to minil build system.
+    + Accept code ref for content_type attribute.
 
   [ Salvatore Bonaccorso ]
   * Change Vcs-Git to use anonscm.debian.org hostname.
@@ -6,21 +12,28 @@ libplack-middleware-expires-perl (0.03-2) UNRELEASED; 
urgency=low
   [ Jonas Smedegaard ]
   * Update copyright info:
     + Fix cover convenience copy of Module::Install::AuthorTests.
+    + Drop Files sections for no longer shipped convenience code copies.
+    + Extend coverage of packaging, and bump its licensing to GPL-3+.
+    + Add git URL as alternate source.
+    + List upstream issue tracker as preferred contact.
+    + Fix use comment and license pseudo-sections to obey silly
+      restrictions of copyright format 1.0.
   * Add README.source emphasizing control.in file as *not* a
     show-stopper for contributions, referring to wiki page for details.
   * Bump debhelper compatibility level to 8: debhelper 8 is available
     even in oldstable.
   * Bump to standards-version 3.9.5.
   * Update watch file to use metacpan.org URL.
-  * Update copyright info:
-    + Extend coverage of packaging, and bump its licensing to GPL-3+.
   * Fix use canonical Vcs-Git URL.
-  * Relax to build-depend unversioned on cdbs: Needed version satisfied
-    even in oldstable.
-  * Add git URL as alternate source.
+  * Update package relations:
+    + (Build-)depend on libhttp-date-perl and libhttp-message-perl (and
+      not libwww-perl).
+    + Relax to build-depend unversioned on cdbs: Needed version
+      satisfied even in oldstable.
   * Stop track tarball checksum: Check against upstrem git instead.
+  * Include perl-build.mk (not perl-makemaker.mk).
 
- -- Salvatore Bonaccorso <car...@debian.org>  Sun, 06 Jan 2013 22:05:50 +0100
+ -- Jonas Smedegaard <d...@jones.dk>  Sun, 18 May 2014 15:17:34 +0200
 
 libplack-middleware-expires-perl (0.03-1) unstable; urgency=low
 
diff --git a/debian/control b/debian/control
index 5601b4b..9225328 100644
--- a/debian/control
+++ b/debian/control
@@ -6,7 +6,8 @@ Build-Depends: cdbs,
  perl,
  debhelper,
  dh-buildinfo,
- libwww-perl,
+ libhttp-date-perl,
+ libhttp-message-perl,
  libplack-perl,
  libtry-tiny-perl
 Maintainer: Debian Perl Group <pkg-perl-maintain...@lists.alioth.debian.org>
@@ -14,7 +15,7 @@ Uploaders: Jonas Smedegaard <d...@jones.dk>
 Standards-Version: 3.9.5
 Vcs-Git: 
git://anonscm.debian.org/pkg-perl/packages/libplack-middleware-expires-perl
 Vcs-Browser: 
http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/libplack-middleware-expires-perl.git
-Homepage: http://search.cpan.org/dist/Plack-Middleware-Expires/
+Homepage: https://github.com/kazeburo/Plack-Middleware-Expires
 
 Package: libplack-middleware-expires-perl
 Architecture: all
diff --git a/debian/copyright_hints b/debian/copyright_hints
index 2929c6c..a42ea41 100644
--- a/debian/copyright_hints
+++ b/debian/copyright_hints
@@ -4,11 +4,13 @@ Upstream-Contact: FIXME
 Source: FIXME
 Disclaimer: Autogenerated by CDBS
 
-Files: Changes
+Files: Build.PL
+ Changes
  MANIFEST
+ META.json
  META.yml
- Makefile.PL
- README
+ README.md
+ cpanfile
  debian/README.source
  debian/compat
  debian/control
@@ -16,40 +18,27 @@ Files: Changes
  debian/gbp.conf
  debian/source/format
  debian/watch
- inc/Module/Install/AuthorTests.pm
- inc/Module/Install/Base.pm
- inc/Module/Install/Can.pm
- inc/Module/Install/Fetch.pm
- inc/Module/Install/Include.pm
- inc/Module/Install/Makefile.pm
- inc/Module/Install/Repository.pm
- inc/Module/Install/Win32.pm
- inc/Module/Install/WriteAll.pm
- inc/Test/More.pm
  lib/Plack/Middleware/Expires.pm
  t/00_compile.t
  t/01_builder.t
  t/02_calc_expires.t
- xt/01_podspell.t
- xt/02_perlcritic.t
- xt/03_pod.t
- xt/perlcriticrc
 Copyright: *No copyright*
 License: UNKNOWN
  FIXME
 
-Files: inc/Module/Install/Metadata.pm
-Copyright: 
-License: Expat
- FIXME
-
 Files: debian/rules
 Copyright: 2012-2014, Jonas Smedegaard <d...@jones.dk>
 License: GPL-3+
  FIXME
 
-Files: inc/Module/Install.pm
-Copyright: 2008, - 2010, Adam Kennedy
-License: UNKNOWN
+Files: LICENSE
+Copyright: 1989, Free Software Foundation, Inc
+  19xx name of author
+  19yy <name of author>
+  2013, Masahiro Nagano <kazeburo {at} gmail.com>
+  disclaimer" for the program, if
+  interest in the
+  the software, and
+License: GPL-ever
  FIXME
 

-- 
Alioth's /usr/local/bin/git-commit-notice on 
/srv/git.debian.org/git/pkg-perl/packages/libplack-middleware-expires-perl.git

_______________________________________________
Pkg-perl-cvs-commits mailing list
Pkg-perl-cvs-commits@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-perl-cvs-commits

Reply via email to